#!/usr/bin bash

cat $1 > $1.0

while read pattern
  do
    read -a val <<< "$pattern"
    sed -i -e "s/${val[0]}/${val[1]}/" $1.0
  done < "$3"
 
echo "tags modified"

python3 ./src/devert.py $1.0 > $2

awk -F '\t' '{print $1}' $2 > $2.1
awk -F '\t' '{printf "%s\t%s\t%s\n", $2, $3, $4}' $2 > $2.23


IFS="	"

# replacement of full entities

while read pattern
  do
    read -a val <<< "$pattern"
    sed -i "s/^${val[0]}$/${val[1]}/" $2.1
  done < "$4"

echo "full replacements utilised"

# replacement of parts of entities
while read pattern
  do
    read -a val <<< "$pattern" 
    sed -i -e "s/${val[0]}/${val[1]}/" $2.1
  done < "$5"
 
echo "regex replacements utilised"

sed -i "s/ ,/,/" $2.1
sed -i "s/ - /-/" $2.1

paste $2.1 $2.23 > $2
rm  $1.0 $2.1 $2.23
